import os
import numpy as np
import matplotlib.pyplot as plt

# IO: This loads the timings for you 
threads, timings = [], []
for file in os.listdir('timings'):
    with open(f'timings/{file}', 'r') as f:
        n, t = f.read().strip().split(',')
        threads.append(int(n))
        timings.append(float(t))
threads = np.array(threads)
timings = np.array(timings)

print('This is the data I loaded: threads =', threads, ', timings =',timings)

fig, axs = plt.subplots()

plt.plot(threads, timings, '+')
plt.xlabel('threads')
plt.ylabel('timings')

plt.savefig('threads_v_timings.png', dpi=300)
